AudioKit Documentation
======================

AudioKit is documented in a few different, but related ways.

## Inline Comments

By using inline comments, AudioKit is self-documenting, and the help panel within Xcode should be populated by this style of autogenerated documentation.  Inline comments are lines that begin with three slashes `///` or comment blocks that begin with `/**` and end with `*/`.  For the most part, we prefer three asterisks.

Inline comments are also parsed by the "jazzy" documentation generator which provides us [web based documentation](http://audiokit.io/docs/).

## README files

We try to include a README folder in every directory of AudioKit to describe folders' contents and to provide some basic quickstart information.

README files often contain *TODO* sections which contain things that could or should improve the material in that folder.

## Playgrounds

Playgrounds contain bite-size examples of AudioKit and serve as tutorials for many of AudioKit's core concepts and capabilities.  There are over 100 playgrounds which cover basic tutorials, synthesis, physical modeling, file playback, MIDI, effects, filters, and analysis. The playgrounds can be perused on Github, or [on AudioKit.io (many with demonstration videos)](http://audiokit.io/playgrounds/).

## Example Projects

There are many sample projects included in AudioKit's `Examples` folder. The examples have some extra documentation in their READMEs and on [the audiokit.io website](http://audiokit.io/examples/).

## Archictectural and High-Level Overviews

* [Audio Unit Creation](AudioUnitCreation.md)
* [Is AudioUnit Extension different from the AuV3 plugin which I use in Logic?](PluginsVsExtensions.md)

## Sampler Overviews

* [Survey of AudioKit's Sampler Options](Samplers.md)
* [AKSampler in-depth](AKSampler.md)
* [Preparing Sample Sets](PreparingSampleSets.md)